Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.lib
Interface UnparsedTextURIResolver

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  StandardUnparsedTextResolver

    public interface UnparsedTextURIResolver

extends Serializable

An UnparsedTextURIResolver accepts an absolute URI and optionally an encoding name as input, and returns a Reader as its result.

Method Summary
`Reader` | `resolve(URI absoluteURI, String encoding, Configuration config)` Resolve the URI passed to the XSLT unparsed-text() function, after resolving against the base URI.

Method Detail

### resolve

    Reader resolve(URI absoluteURI,
                   String encoding,
                   Configuration config)
                   throws XPathException

  Resolve the URI passed to the XSLT unparsed-text() function, after resolving against the base URI.

  Note that a user-written resolver is responsible for enforcing some of the rules in the XSLT specification, such as the rules for inferring an encoding when none is supplied. Saxon will not report any error if the resolver does this in a non-conformant way.

  Parameters:
    `absoluteURI` - the absolute URI obtained by resolving the supplied URI against the base URI
    `encoding` - the encoding requested in the call of unparsed-text(), if any. Otherwise null.
    `config` - The Saxon configuration. Provided in case the URI resolver needs it.
  Returns:
    a Reader, which Saxon will use to read the unparsed text. After the text has been read, the close() method of the Reader will be called.
  Throws:
    `XPathException` - if any failure occurs
  Since:
    8.9

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.